Support » Installing WordPress » Getting set_screen_options error after upgrading manually to 2.8

  • After manually upgrading to WordPress 2.8 I get an error message when I try to login:

    Fatal error: Call to undefined function: set_screen_options() in /homepages/9/d282044330/htdocs/xxx/wp-admin/admin.php on line 45

    xxx = blog folder

    Does anyone know how to fix this (or even what it means)?

    Thanks, in advance, for your help!!!

Viewing 3 replies - 1 through 3 (of 3 total)
  • I am having the same issue with one blog I just upgraded. I wonder if there is a fix or if I need to revert to the backed up version?

    NB line 45 has this:

    set_screen_options();

    So the function does not work, but why?

    I found out screen_options () should be defined here:

    screen_options()
    Defined at:
    * /wp-admin/includes/template.php -> line 3663

    I found:

    $return .= "<div class='screen-options'>\n";

    Referenced 1 times:
    * /wp-admin/includes/template.php -> line 3461
    Couldn’t find it myself

    Anyone?

    well after doing a manual installation – after I put back the old files – I managed to get the upgrade done. So all is well. No clue why I had that error before though…

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Getting set_screen_options error after upgrading manually to 2.8’ is closed to new replies.